//------------------------------------------------------------------------------
//工具生成，请勿修改。
//配置文件名称：build.xlsx。
//------------------------------------------------------------------------------
export default class BuildCFG
{
	public name:string;//建筑名
	public buffx:number;//buffx
	public buffy:number;//buffy
	public buffz:number;//buffz
	public time:number;//持续时间(秒)
	public static dict:any = {};
	public static vec:Array<BuildCFG> = [];
	public static initCfg(str:string):void
	{
		var i:number=0;
		var arr:Array<string> = str.split("\n");
		var i:number=0;
		for(i = 0; i < arr.length; i++)
		{
			var singleStr:string = arr[i];
			var singleArr:Array<string> = singleStr.split("&");
			if(BuildCFG.dict[singleArr[0]])continue;
			var item:BuildCFG= new BuildCFG();
			item.name=singleArr[0];
			item.buffx= Number(singleArr[1]);
			item.buffy= Number(singleArr[2]);
			item.buffz= Number(singleArr[3]);
			item.time= Number(singleArr[4]);
			BuildCFG.dict[item.name]=item;
			BuildCFG.vec.push(item);
		}
	}

}